Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLDocument

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLElementContainer
                  |
                  +--oracle.jdeveloper.html.HTMLDocument

public class HTMLDocument
extends HTMLElementContainer

Represents an HTML document. All top level HTML objects are added to this object. This class represents the HTML page. All forms,tables,scripts,... are added to the HTML page via the interfaces of this class.

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `clickHandler`
`protected java.lang.String` | `theImage`
`protected java.util.Vector` | `theScriptLibraries`
`protected java.util.Vector` | `theScripts`
`protected java.lang.String` | `theStyle`
`protected java.lang.String` | `theStyleSheet`
`protected java.lang.String` | `theTitle`

Fields inherited from class oracle.jdeveloper.html.HTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLDocument()`

Method Summary
`void` | `addScript(HTMLScript aScript)` Adds an HTML script to the document.
`void` | `addScriptLibrary(java.lang.String LibraryPath)` Adds a script library to the document.
`java.lang.String` | `getBackgroundImage()` returns the currently set background image
`java.lang.String` | `getTitle()`
`void` | `render(java.io.PrintWriter out)` Renders the container's header, contained objects and footer.
`protected void` | `RenderContainerFooter(java.io.PrintWriter out)`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`
`protected void` | `renderScriptLibraries(java.io.PrintWriter out)`
`protected void` | `renderScripts(java.io.PrintWriter out)`
`protected void` | `renderStyleSheet(java.io.PrintWriter out)`
`void` | `setBackgroundImage(java.lang.String sImage)` Sets the HTML document's background image.
`void` | `setClickHandler(java.lang.String sHandler)` Sets the JavaScript click handler function that will be called when this document receives a mouse click.
`void` | `setStyle(java.lang.String style)` Sets the CSS style to be used by this document.
`void` | `setStyleSheet(java.lang.String sSheet)` Sets the CSS style sheet URL to be used by this document.
`void` | `setTitle(java.lang.String sTitle)` Sets the HTML document's title.

Methods inherited from class oracle.jdeveloper.html.HTMLElementContainer
`addElement, addForm, addHeader, addImage, addImageClass, addImageURL, addTable, addTextURL, addToolBar, elementAt, endCenter, numberOfElements, renderContainerFooter, renderElementFooter, renderElementHeader, skipLine, startCenter`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theTitle

    protected java.lang.String theTitle

### theImage

    protected java.lang.String theImage

### theScripts

    protected java.util.Vector theScripts

### theScriptLibraries

    protected java.util.Vector theScriptLibraries

### theStyleSheet

    protected java.lang.String theStyleSheet

### clickHandler

    protected java.lang.String clickHandler

### theStyle

    protected java.lang.String theStyle

Constructor Detail

### HTMLDocument

    public HTMLDocument()

Method Detail

### setStyle

    public void setStyle(java.lang.String style)

  Sets the CSS style to be used by this document. This is added as a STYLE property on the document

### setClickHandler

    public void setClickHandler(java.lang.String sHandler)

  Sets the JavaScript click handler function that will be called when this document receives a mouse click.

### setStyleSheet

    public void setStyleSheet(java.lang.String sSheet)

  Sets the CSS style sheet URL to be used by this document.

### renderScriptLibraries

    protected void renderScriptLibraries(java.io.PrintWriter out)
                                  throws java.lang.Exception

### renderScripts

    protected void renderScripts(java.io.PrintWriter out)
                          throws java.lang.Exception

### renderStyleSheet

    protected void renderStyleSheet(java.io.PrintWriter out)

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)
                                  throws java.lang.Exception

  Overrides:
    renderContainerHeader in class HTMLElementContainer

### RenderContainerFooter

    protected void RenderContainerFooter(java.io.PrintWriter out)
                                  throws java.lang.Exception

### addScript

    public void addScript(HTMLScript aScript)

  Adds an HTML script to the document.

### addScriptLibrary

    public void addScriptLibrary(java.lang.String LibraryPath)

  Adds a script library to the document. The script library is added to the HEAD section of the document. This is very useful for global JavaScript routines that are located in a .js file. This is used instead of generating the same set of functions into multiple HTML pages.

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Description copied from class: HTMLElementContainer
  Renders the container's header, contained objects and footer.
  Overrides:
    render in class HTMLElementContainer

### setTitle

    public void setTitle(java.lang.String sTitle)

  Sets the HTML document's title.

### getTitle

    public java.lang.String getTitle()

### setBackgroundImage

    public void setBackgroundImage(java.lang.String sImage)

  Sets the HTML document's background image.

### getBackgroundImage

    public java.lang.String getBackgroundImage()

  returns the currently set background image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD